plugins {
    id 'com.android.application'
    id 'kotlin-android'
}

android {
    namespace = 'partisan.weforge.xyz.pulse'
    compileSdk = 34

    defaultConfig {
        applicationId = "partisan.weforge.xyz.pulse"
        minSdk = 29
        targetSdk = 34
        versionCode = 13
        versionName = "1.4.1"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

    signingConfigs {
        release {
            storeFile file("release-key.jks")
            storePassword RELEASE_STORE_PASSWORD
            keyAlias "release-key"
            keyPassword RELEASE_STORE_PASSWORD
        }
    }

    buildTypes {
        release {
            minifyEnabled = false
            signingConfig = signingConfigs.release
            proguardFiles(getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro')
        }
    }

    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }

    kotlinOptions {
        jvmTarget = '17'
    }

    buildFeatures {
        viewBinding = true
    }

    lint {
        disable += 'MissingTranslation'
    }

    dependenciesInfo {
        // Disables dependency metadata when building APKs (for IzzyOnDroid/F-Droid)
        includeInApk = false
        // Disables dependency metadata when building Android App Bundles (for Google Play)
        includeInBundle = false
    }
}

dependencies {
    implementation 'androidx.core:core-ktx:1.12.0'
    implementation 'androidx.appcompat:appcompat:1.6.1'
    implementation 'com.google.android.material:material:1.13.0-alpha13'
    implementation 'androidx.constraintlayout:constraintlayout:2.2.1'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.2.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.6.1'
    implementation 'androidx.preference:preference-ktx:1.2.1'
    implementation 'androidx.cardview:cardview:1.0.0'
    implementation 'nl.dionsegijn:konfetti-xml:2.0.2' // This library holds the fabric of reality together please dont remove it at any costs >:3
}
